Docs Rizler

V1 Functions

V1 Get Agent Calendar Available Slots

POSThttps://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/calendar/{agent_id}/available-slots
V1 Get Agent Calendar Available Slots
curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/calendar/agent_123/available-slots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "timezone": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V1 Get Agent Calendar Available Slots#

V1 Get Agent Calendar Available Slots. Use the public agent id from List Agents. This path only accepts V1 agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

timezonestringbody

max 100. may be null

curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/advanced/functions/calendar/agent_123/available-slots \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"timezone":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records